ode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas Fritzler <andreas.fritz...@googlemail.com>
Subject Re: buildr eclipse fail
Date Tue, 17 Nov 2009 06:24:35 GMT
Now I tried all of the 1.3.X buildr versions and every time I get
another error. I'm running Windows 7 and tried it with both Java 1.6
and 1.5. I don't know where the problem is. Anybody an idea?

Thanks.

ERROR with buildr: 1.3.5:

C:\ode-1.X> buildr package
←[34m./tasks/derby.rake:22: Deprecated: See documentation for new way
to access Java code.←[0m
←[34m./tasks/derby.rake:22: Deprecated: Append to Java.classpath instead.←[0m
(in C:/ode-1.X, development)
←[34mC:/ode-1.X/Rakefile:492:in `__instance_exec0': Deprecated: We
changed the way package_as methods are implemented.  See the package
method documentation for more
details.←[0m
Buildr aborted!
←[31mprivate method `distro' called for
project("apache-ode"):Buildr::Project←[0m

(See full trace by running task with --trace)



On Fri, Nov 13, 2009 at 2:49 PM, Andreas Fritzler
<andreas.fritzler@googlemail.com> wrote:
> Now I'm getting this error: (builder 1.3.5)
>
> ←[34mC:/ode-1.X/Rakefile:492:in `__instance_ex
> ec0': Deprecated: We changed the way package_as methods are
> implemented.  See the package method documentation for more
> details.←[0m
> Buildr aborted!
> ←[31mprivate method `distro' called for
> project("apache-ode"):Buildr::Project←[0m
>
>
> On Fri, Nov 13, 2009 at 11:24 AM, Andreas Fritzler
> <andreas.fritzler@googlemail.com> wrote:
>> Thanks Tammo, I just realized my stupid mistake here :)
>>
>>
>> On Fri, Nov 13, 2009 at 11:11 AM, Tammo van Lessen <tvanlessen@gmail.com> wrote:
>>> Hi Andreas,
>>>
>>> this is because buildr uses the svn cmd client to retrieve some
>>> information. My proposed fix is to include an svn (svn.exe) to your
>>> path, alternatively you may want to comment out these lines in the
>>> Buildfile (search for 'svn').
>>>
>>> HTH,
>>>  Tammo
>>>
>>> Andreas Fritzler wrote:
>>>> That's what I get when I run it with buildr 1.3.5 ...
>>>>
>>>> ←[34m./tasks/derby.rake:22: Deprecated: See documentation for new way
>>>> to access Java code.←[0m
>>>> ←[34m./tasks/derby.rake:22: Deprecated: Append to Java.classpath instead.←[0m
>>>> (in C:/ode-1.X, development)
>>>> ←[34mC:/ode-1.X/Rakefile:492:in `__instance_ex
>>>> ec0': Deprecated: We changed the way package_as methods are
>>>> implemented.  See the package method documentation for more
>>>> details.←[0m
>>>> Buildr aborted!
>>>> ←[31mNo such file or directory - svn status -v←[0m
>>>>
>>>>
>>>>
>>>> On Fri, Nov 13, 2009 at 4:15 AM, Rafal Rusin <rafal.rusin@gmail.com>
wrote:
>>>>> That's because we recently migrated to buildr 1.3.5 for ODE 1.X.
>>>>>
>>>>> 2009/11/13 Andreas Fritzler <andreas.fritzler@googlemail.com>:
>>>>>> Hi,
>>>>>>
>>>>>> I'm trying to create eclipse project described here:
>>>>>> http://ode.apache.org/building-ode.html (ODE-1.X branch). However
I'm
>>>>>> getting the following errors while running the buildr script:
>>>>>>
>>>>>> "(in C:/Users/Andi/Documents/My Dropbox/Andreas Fritzler
>>>>>> Diplomarbeit/Development/ode-1.X)
>>>>>> rake aborted!
>>>>>> can't activate buildr (~> 1.3, runtime) for [], already activated
>>>>>> buildr-1.2.10 for []"
>>>>>>
>>>>>> (I used the following command: buildr _1.2.10_ eclipse test=no)
>>>>>>
>>>>>> Cheers,
>>>>>>
>>>>>> Andreas
>>>>>>
>>>>>
>>>>> Regards,
>>>>> --
>>>>> Rafał Rusin
>>>>> http://rrusin.blogspot.com
>>>>> http://www.touk.pl
>>>>> http://top.touk.pl
>>>>>
>>>
>>>
>>
>

Mime
View raw message